Name: libdvdread
Version: 0.9.7
Release: alt1

%def_disable static

Summary: A library for reading DVD-Video images
Summary(ru_RU.KOI8-R):     DVD-
License: GPL
Group: System/Libraries
Url: http://www.dtek.chalmers.se/~dvd

Source: %url/%name-%version.tar.gz

Requires: libdvdcss

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

Packager: Pavlov Konstantin <thresh@altlinux.ru>

%description
libdvdread provides a simple foundation for reading DVD-Video images.
It offers DVD applications:

1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).

This allows application designers to access some of the more advanced
features of the DVD format.

libdvdread currently uses libdl to dynamically probe for libdvdcss at
runtime.  If libdvdcss is found, then it will be used to decrypt the
encrypted sections of a DVD.

%package devel
Summary: Development environment for %name
Summary(ru_RU.KOI8-R):    %name
Group: Development/C
Requires: %name = %version-%release

%description devel
libdvdread provides a simple foundation for reading DVD-Video images.

This package contains development files you can use to develop
applications reading DVD-video images.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libdvdread provides a simple foundation for reading DVD-Video images.

This package contains static library you can use to develop
statically linked applications reading DVD-video images.

%prep
%setup -q

%build
%__autoreconf
%configure %{subst_enable static} 
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS NEWS README

%files devel
%_libdir/*.so
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif #static

%changelog
* Sat Jan 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.9.7-alt1
- 0.9.7 release.

* Fri Apr 14 2006 LAKostis <lakostis at altlinux.ru> 0.9.5-alt1
- NMU;
- new version

* Sun Oct 03 2004 Anton Farygin <rider@altlinux.ru> 0.9.4-alt1
- new version

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 0.9.3-alt2
- Russian summary
- rebuild (gcc 3.2)

* Fri Jun 14 2002 Rider <rider@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Tue Nov 08 2001 Rider <rider@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9.1-alt2
- Specfile major cleanup (policy enforcement).

* Tue Sep 18 2001 Rider <rider@altlinux.ru> - 0.9.1-alt1
- First build for ALT Linux

* Thu Sep 6 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- Updated to version 0.9.0
* Tue Jul 03 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- initial version
